import { ReactNode } from 'react';
import { Radio, RadioProps } from '../radio/Radio';
export interface CheckBoxProps extends RadioProps {
    /**
     * 中间状态
     */
    indeterminate?: boolean;
    /**
     * 未选中时的值
     */
    unCheckedValue?: any;
    /**
     * 非选中时的内容
     */
    unCheckedChildren?: ReactNode;
    defaultChecked?: boolean;
}
export declare class CheckBox<T extends CheckBoxProps> extends Radio<T & CheckBoxProps> {
    static displayName: string;
    /**
     * tooltip disable sign
     */
    static __PRO_CHECKBOX: boolean;
    static __IS_IN_CELL_EDITOR: boolean;
    static defaultProps: {
        suffixCls: string;
        indeterminate: boolean;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    type: string;
    get unCheckedValue(): any;
    get checkedValue(): any;
    constructor(props: any, context: any);
    componentWillUnmount(): void;
    getOmitPropsKeys(): string[];
    handleHelpMouseEnter(e: any): void;
    handleHelpMouseLeave(): void;
    renderTooltipHelp(): ReactNode;
    renderInner(): ReactNode;
    getChildrenText(): (T & CheckBoxProps & RadioProps)["unCheckedChildren"];
    getWrapperClassNames(...args: any[]): string;
    isChecked(): (T & CheckBoxProps & RadioProps)["checked"];
    getDataSetValues(): any[];
    setValue(value: any, noVaidate?: boolean): void;
    setChecked(checked: any): void;
    getOldValue(): any;
}
export default class ObserverCheckBox extends CheckBox<CheckBoxProps> {
    static defaultProps: {
        suffixCls: string;
        indeterminate: boolean;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    static __PRO_CHECKBOX: boolean;
    static __IS_IN_CELL_EDITOR: boolean;
}
